Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.subsystem
Class SubsystemMessageStore

    java.lang.Object
      com.sshtools.j2ssh.subsystem.SubsystemMessageStore

public class SubsystemMessageStore
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected java.util.List` | `messages` DOCUMENT ME!
`protected java.util.Map` | `registeredMessages` DOCUMENT ME!

Constructor Summary
`SubsystemMessageStore()` Creates a new SubsystemMessageStore object.

Method Summary
`void` | `addMessage(byte[] msgdata)` DOCUMENT ME!
`void` | `addMessage(SubsystemMessage msg)` DOCUMENT ME!
`void` | `close()` DOCUMENT ME!
`OpenClosedState` | `getState()` DOCUMENT ME!
`SubsystemMessage` | `nextMessage()` DOCUMENT ME!
`SubsystemMessage` | `nextMessage(int timeout)` DOCUMENT ME!
`void` | `registerMessage(int messageId, java.lang.Class implementor)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected java.util.List messages

  DOCUMENT ME!

### registeredMessages

    protected java.util.Map registeredMessages

  DOCUMENT ME!

Constructor Detail

### SubsystemMessageStore

    public SubsystemMessageStore()

  Creates a new SubsystemMessageStore object.

Method Detail

### addMessage

    public void addMessage(SubsystemMessage msg)

  DOCUMENT ME!

  Parameters:
    `msg` - DOCUMENT ME!

### addMessage

    public void addMessage(byte[] msgdata)
                    throws InvalidMessageException

  DOCUMENT ME!

  Parameters:
    `msgdata` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### nextMessage

    public SubsystemMessage nextMessage()
                                 throws MessageStoreEOFException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `MessageStoreEOFException` - DOCUMENT ME!

### nextMessage

    public SubsystemMessage nextMessage(int timeout)
                                 throws MessageStoreEOFException,
                                        MessageNotAvailableException

  DOCUMENT ME!

  Parameters:
    `timeout` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `MessageStoreEOFException` - DOCUMENT ME!
    `MessageNotAvailableException` - DOCUMENT ME!

### registerMessage

    public void registerMessage(int messageId,
                                java.lang.Class implementor)

  DOCUMENT ME!

  Parameters:
    `messageId` - DOCUMENT ME!
    `implementor` - DOCUMENT ME!

### getState

    public OpenClosedState getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public void close()

  DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD